## Index

### Classes

- IconCache
- IconDirective
- IconMemoryCache
- IconModule
- IconNameNotFoundError
- IconService
- IconSizeNotFoundError

### Interfaces

- IconDescriptor

### Functions

- ICON_SERVICE_PROVIDER_FACTORY

### Object literals

- ICON_SERVICE_PROVIDER

## Functions

### ICON_SERVICE_PROVIDER_FACTORY

- ICON_SERVICE_PROVIDER_FACTORY(parentService: IconService): IconService

- - Defined in src/icon/icon.module.ts:58

  #### Parameters

  - ##### parentService: IconService

  #### Returns IconService

## Object literals

### Const ICON_SERVICE_PROVIDER

ICON_SERVICE_PROVIDER: object

- Defined in src/icon/icon.module.ts:63

### deps

deps: Optional[][] = [[new Optional(), new SkipSelf(), IconService]]

- Defined in src/icon/icon.module.ts:65

### provide

provide: IconService = IconService

- Defined in src/icon/icon.module.ts:64

### useFactory

useFactory: ICON_SERVICE_PROVIDER_FACTORY = ICON_SERVICE_PROVIDER_FACTORY

- Defined in src/icon/icon.module.ts:66

Generated using TypeDoc